Novell Home

CVE-2009-0668

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2009-0668 at MITRE

Description

Unspecified vulnerability in Zope Object Database (ZODB) before 3.8.2, when certain Zope Enterprise Objects (ZEO) database sharing is enabled, allows remote attackers to execute arbitrary Python code via vectors involving the ZEO network protocol.

NVD CVSS v2 Base Score: 6.5 (AV:N/AC:L/Au:S/C:P/I:P/A:P)

Novell/SUSE information

Novell Bugzilla entry: 529579

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise SDK 10 SP3
  • zope >= 2.7.8-15.15.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sle10-sp3-sdk.x86
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.ia64
ZYPP Patch Nr: 6670
SUSE Linux Enterprise SDK 10 SP2
  • zope3 >= 3.1.0-18.10.2
sle10-sp2-sdk.s390x
sle10-sp2-sdk.x86
sle10-sp2-sdk.ppc
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.ia64
ZYPP Patch Nr: 6674
SUSE Linux Enterprise SDK 10 SP2
  • zope >= 2.7.8-15.15.2
sle10-sp2-sdk.s390x
sle10-sp2-sdk.ia64
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.x86
sle10-sp2-sdk.ppc
ZYPP Patch Nr: 6675
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for IBM iSeries and IBM pSeries
SLES SDK 9 for IBM zSeries
SLES SDK 9 for IPF
SLES SDK 9 for X86-64
SLES SDK 9 for x86
  • zope >= 2.7.7-0.15
core9.x86
core9.s390x
core9.ppc
core9.ia64
core9.x86-64
core9.s390
YOU Patch Nr: 12552
SUSE Linux Enterprise SDK 10 SP3
  • zope3 >= 3.1.0-18.10.1
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sle10-sp3-sdk.s390x
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 6671

© 2014 Novell